SHERLOCK(1)

NAME
sherlock - Find usernames across social networks

SYNOPSIS
sherlock [POSITION] [argument]

DESCRIPTION
sherlock relies on the site's designers providing a unique URL for a registered

username. To determine if a username is available, Sherlock queries that URL, and

uses to response to understand if there is a claimed username already there.

Currently, the tool is capable of locating users on more than 300 social networks:

Apple Developer, Arduino, Docker Hub, GitHub, GitLab, Facebook, BitCoinForum, CNET,

IFTTT, Instagram, PlayStore, PyPI, Scribd, Telegram,TikTok, Tinder etc.

USAGE
usage: sherlock [-h] [--version] [--verbose] [--folderoutput FOLDEROUTPUT]

                [--output OUTPUT] [--tor] [--unique-tor] [--csv]
                [--site SITE_NAME] [--proxy PROXY_URL] [--json JSON_FILE]
                [--timeout TIMEOUT] [--print-all] [--print-found] [--no-color]
                [--browse] [--local]
                USERNAMES [USERNAMES ...]
positional arguments: USERNAMES

                     One or more usernames to check with social networks.
                     Check similar usernames using {%} (replace to '_', '-', '.').

OPTIONS
optional arguments:

 -h, --help                  Show this help message and exit.
 --version                   Display version information and dependencies.
 --verbose, -v, -d, --debug  Display extra debugging information and metrics.
 --folderoutput FOLDEROUTPUT, -fo FOLDEROUTPUT
                             If using multiple usernames, the output of the results will be
                             saved to this folder.
 --output OUTPUT, -o OUTPUT
                             If using single username, the output of the result will be saved
                             to this file.
 --tor, -t                   Make requests over Tor; increases runtime; requires Tor to be
                             installed and in system path.
 --unique-tor, -u            Make requests over Tor with new Tor circuit after each request;
                             increases runtime; requires Tor to be installed and in system
                             path.
 --csv                       Create Comma-Separated Values (CSV) File.
 --xlsx                      Create the standard file for the modern Microsoft Excel
                             spreadsheet (xslx).
 --site SITE_NAME            Limit analysis to just the listed sites. Add multiple options to
                             specify more than one site.
 --proxy PROXY_URL, -p  PROXY_URL
                             Make requests over a proxy. e.g. socks5://127.0.0.1:1080
 --json JSON_FILE, -j JSON_FILE
                             Load data from a JSON file or an online, valid, JSON file.
 --timeout TIMEOUT           Time (in seconds) to wait for response to requests (Default: 60)
 --print-all                 Output sites where the username was not found.
 --print-found               Output sites where the username was found.
 --no-color                  Don't color terminal output.
 --browse, -b                Browse to all results on default browser.
 --local, -l                 Force the use of the local data.json file.

EXAMPLES
To search for only one user:

                       a)python3 sherlock user123
To search for more than one user:

                       b) python3 sherlock user1 user2 user3

SEE ALSO
Take a look at https://sherlock-project.github.io/ for information on how to use.

AUTHOR
Sherlock Project https://github.com/sherlock-project/sherlock/issues

Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com> Created this

manpage generated automatically by txt2man to generate the manual file.